org.apache.ode.tools

## Interface CommandContext

- All Known Implementing Classes:
    BpelCTask, ClineCommandContext, CommandTask

      public interface CommandContext

  A context for the execution of a `Command` that supplies uniform logging and output functionality.

  The logging infrastructure is purposefully simpler than, e.g., Log4J, in the interest of supporting Apache Ant and other environments.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String s)` Logger an debug-level message.
    `void` | `debug(java.lang.String s, java.lang.Throwable t)` Logger a debug-level message that resulted from a `Throwable`.
    `void` | `errln(java.lang.String s)` Send a line of output to the equivalent of standard error.
    `void` | `error(java.lang.String s)` Logger an error.
    `void` | `error(java.lang.String s, java.lang.Throwable t)` Logger an error that resulted from a `Throwable`.
    `void` | `info(java.lang.String s)` Logger an informative message.
    `void` | `info(java.lang.String s, java.lang.Throwable t)` Logger an informative message that resulted from a `Throwable`.
    `void` | `out(java.lang.String s)` Send output to the equivalent of standard out.
    `void` | `outln(java.lang.String s)` Send a line of output to the equivalent of standard out.
    `void` | `warn(java.lang.String s)` Logger a warning.
    `void` | `warn(java.lang.String s, java.lang.Throwable t)` Logger a warning that resulted from a `Throwable`

- - ### Method Detail

    - #### outln

          void outln(java.lang.String s)

      Send a line of output to the equivalent of standard out.
      Parameters:
        `s` - the content to send.

    - #### out

          void out(java.lang.String s)

      Send output to the equivalent of standard out. Note that this is not required to be pretty if it's not on a console, i.e., multiple invocations might not appear on a single line.
      Parameters:
        `s` - the content to send.

    - #### errln

          void errln(java.lang.String s)

      Send a line of output to the equivalent of standard error.
      Parameters:
        `s` - the content to send.

    - #### error

          void error(java.lang.String s)

      Logger an error.
      Parameters:
        `s` - a descriptive message.

    - #### error

          void error(java.lang.String s,
                     java.lang.Throwable t)

      Logger an error that resulted from a `Throwable`.
      Parameters:
        `s` - a descriptive message.
        `t` - the cause.

    - #### warn

          void warn(java.lang.String s,
                    java.lang.Throwable t)

      Logger a warning that resulted from a `Throwable`
      Parameters:
        `s` -
        `t` -

    - #### warn

          void warn(java.lang.String s)

      Logger a warning.
      Parameters:
        `s` - a descriptive message.

    - #### info

          void info(java.lang.String s)

      Logger an informative message.
      Parameters:
        `s` - a descriptive message.

    - #### info

          void info(java.lang.String s,
                    java.lang.Throwable t)

      Logger an informative message that resulted from a `Throwable`.
      Parameters:
        `s` - a descriptive message.
        `t` - the cause.

    - #### debug

          void debug(java.lang.String s,
                     java.lang.Throwable t)

      Logger a debug-level message that resulted from a `Throwable`.
      Parameters:
        `s` - a descriptive message.
        `t` - the cause.

    - #### debug

          void debug(java.lang.String s)

      Logger an debug-level message.
      Parameters:
        `s` - a descriptive message.